<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.fjhx.sale.mapper.ext.ExtQuotationMapper">
       <select id="getPage" resultType="com.fjhx.sale.entity.ext.vo.ExtQuotationVo">
              select eq.id,
                     eq.code,
                     eq.buy_corporation_id,
                     eq.buy_contact_name,
                     eq.buy_contact_number,
                     eq.buy_country_id,
                     eq.buy_province_id,
                     eq.buy_city_id,
                     eq.buy_address,
                     eq.buy_postal_code,
                     eq.currency,
                     eq.amount,
                     eq.status,
                     eq.create_user,
                     eq.create_time,
                     eq.update_user,
                     eq.update_time,
                     eq.type,
                     eq.company_id,
                     eq.group_id,
                     eq.quotation_time,
                     eq.quotation_status,
                     eq.old_quotation_id,
                     eq.sale_quotation_id,
                     eq.last_follow_time,
                     eq.of_company_id
              from ext_quotation eq
                  ${ew.customSqlSegment}
       </select>

</mapper>
